## pvm 3.4.5

=== examples/PGON/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.6 1997/07/02 14:35:17 pvmsrc Exp $
+# $Id: Makefile,v 1.7 1998/10/01 21:08:04 pvmsrc Exp $
 #
 #
 PVMDIR      =   ../..
@@ -40,9 +40,10 @@
 #  		Hence the default examples are built for MPP nodes.
 
 ${EXAMPLES}:
-	make -f $(CONFFILE) PVMLIB=-lpvm3pe PVMHLIB=-lpvm3 FORT=${NODEFORT}\
-		CC=${NODECC} -f $(SDIR)/Makefile.aimk $@ 
+	$(MAKE) -f $(CONFFILE) PVMLIB=-lpvm3pe PVMHLIB=-lpvm3 \
+		FORT=${NODEFORT} CC=${NODECC} -f $(SDIR)/Makefile.aimk $@ 
 
 ${HEXAMPLES} ${AIMKTARGETS}:
-	make -f $(CONFFILE) PVMLIB=-lpvm3pe PVMHLIB=-lpvm3 FORT=${FORTRAN}\
-		CC=${CC} -f $(SDIR)/Makefile.aimk $@ 
+	$(MAKE) -f $(CONFFILE) PVMLIB=-lpvm3pe PVMHLIB=-lpvm3 \
+		FORT=${FORTRAN} CC=${CC} -f $(SDIR)/Makefile.aimk $@ 
+
