## pvm 3.4.6

=== Makefile ===
#
# $Id: Makefile,v 1.9 2007/03/07 18:16:06 pvmsrc Exp $
#
# top-level PVM3 makefile
#

SHELL	=	/bin/sh

AIMKSTR	=	-here -f ./conf/`./lib/pvmtmparch`.def -f ./Makefile.aimk

default:
	./lib/aimk $(AIMKSTR) default

install:
	./lib/aimk $(AIMKSTR) install

all:
	./lib/aimk $(AIMKSTR) all

clean:
	./lib/aimk $(AIMKSTR) clean

shared:
	./lib/aimk $(AIMKSTR) shared

s:
	./lib/aimk $(AIMKSTR) s

c:
	./lib/aimk $(AIMKSTR) c

f:
	./lib/aimk $(AIMKSTR) f

g: 
	./lib/aimk $(AIMKSTR) g

e:
	./lib/aimk $(AIMKSTR) e

m:
	./lib/aimk $(AIMKSTR) m

t:
	./lib/aimk $(AIMKSTR) t

x:
	./lib/aimk $(AIMKSTR) x

r:
	./lib/aimk $(AIMKSTR) r
