=== debian/changelog ===
pvm (3.4.6-5) unstable; urgency=medium

  * QA upload.

  * Fix ftbfs on riscv64. (Closes: #1015924) 
  * Set std ver to 4.6.2

 -- Bo YU <tsu.yubo@gmail.com>  Sat, 14 Jan 2023 22:19:03 +0800

pvm (3.4.6-4) unstable; urgency=medium

  * QA upload

  [ Rafael Laboissière ]
  * d/control: Drop dependency on openssh-client (Closes: #1025501)

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Add missing colon in closes line.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * cme fix dpkg-control
  * Do not parse d/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 06 Dec 2022 11:54:32 -0300

pvm (3.4.6-3.2) unstable; urgency=medium

  * Non-maintainer upload
  * Add -DUSESTRERROR to CFLAGS in debian/rules

 -- Camm Maguire <camm@debian.org>  Tue, 09 Nov 2021 16:16:02 +0000

pvm (3.4.6-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * Bug fix: "FTBFS: ddpro.c:398:10: fatal error: rpc/types.h: No such
    file or directory", thanks to Lucas Nussbaum (Closes: #997284).
  * Add -I/usr/include/tirpc/ to CFLAGS in debian/rules
  * Add  -Wl,--start-group -ltirpc to LDFLAGS in debian/rules
  * Add libtirpc-dev to build depends

 -- Camm Maguire <camm@debian.org>  Tue, 09 Nov 2021 11:26:42 +0000

pvm (3.4.6-3) unstable; urgency=medium

  * Non-maintainer upload
  * Bug fix: "ftbfs with GCC-10", thanks to Matthias Klose (Closes:
    #957717).

 -- Camm Maguire <camm@debian.org>  Wed, 19 Aug 2020 14:56:15 +0000

pvm (3.4.6-2) unstable; urgency=medium

  * QA upload.
  * Update Vcs-* headers for salsa.d.o
  * Bump Standards-Version to 4.1.5
  * Use dh compat level 11
  * Remove incorrect M-A: foreign mark on pvm-dev.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #900193)
  * Replace Priority: extra with optional

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 24 Jul 2018 14:31:14 +0000

pvm (3.4.6-1) unstable; urgency=medium

  * QA upload.
  * New upstream release (Closes: #626344).
  * Refresh patches.
  * 04-build-shared-libpvm.patch: Rework to use upstream's support.
  * 05-build-shared-libgpvm.patch: Mirror libpvm.so rules.
  * debian/rules:
    - Pass LDFLAGS to SHAREDLDFLAGS.
    - Make tarball entry order reproducible.
  * debian/control: Add Vcs-Git/Vcs-Browser for collab-maint

 -- James Clarke <jrtc27@jrtc27.com>  Tue, 24 May 2016 11:48:54 +0100

pvm (3.4.5-13) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group (See: #824403).
  * Add support for sparc64 in debian/getpvmarch (Closes: #814770).
  * Add ${misc:Depends} for every package in debian/control.
  * Change compat to 9.
  * Change to format 3.0 (quilt).
  * Use dh sequencer.
  * Update Standards-Version to 3.9.8.
  * Drop explicit ldconfig call in libpvm3.postinst.
  * Enable hardening flags.
  * Add patch 24-include-unistd.patch from Ubuntu.
  * Add patch 25-format-security.patch to fix -Wformat-security errors.
  * Add patch 26-groff-quote.patch to fix groff errors where leading single
    quotes were being treated as the non-breaking control character.
  * Convert to Multi-Arch.
  * Add debian/watch.
  * Add Homepage to debian/control.
  * Make build reproducible.
  * Ran `wrap-and-sort -ast`.
  * Modified 04-build-shared-libpvm.patch and 05-build-shared-libgpvm.patch to
    work with hardening.

 -- James Clarke <jrtc27@jrtc27.com>  Tue, 17 May 2016 10:23:09 +0100

pvm (3.4.5-12.6) unstable; urgency=medium

  * Non-maintainer upload with maintainer's permission. Thanks.
  * Add support for arm64, mips64el, ppc64 in debian/getpvmarch (Closes:
    #734468, #757324).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 12 Sep 2014 10:40:19 +0200

pvm (3.4.5-12.5) unstable; urgency=low

  * Non-maintainer upload.
  * Fix 22-fix_FTBFS4hurd.patch (Closes: #675454).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 17 Jun 2012 01:29:03 +0200

pvm (3.4.5-12.4) unstable; urgency=low

  * Non-maintainer upload.
  * Add architecture detection for s390x.  Thanks to Aurelien Jarno.
    (Closes: #639491)

 -- Philipp Kern <pkern@debian.org>  Sun, 01 Apr 2012 14:23:40 +0000

pvm (3.4.5-12.3) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch 22-fix_FTBFS4hurd.patch (Closes: #622932). Thanks Svante Signell
    for initial patch.
  * Add patch 23-fix_trunc.patch to fix O_TRUNC undefined behavior without
    O_WRONLY or O_RDWR.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 19 Aug 2011 20:59:48 +0000

pvm (3.4.5-12.2) unstable; urgency=low

  * Non-maintainer upload.
    ACKed by maintainer.
  * Support Renesas SH (Closes: #565370).
    - Add patch 21-sh4-support.patch.
    - Add support sh4 to getpvmarch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 09 Feb 2010 12:02:45 +0900

pvm (3.4.5-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix " missing-dependency-on-libc needed ..." by adding ${shlibs:Depends}
    to pvm-dev's Depends in debian/control (closes: #553260).
  * Fix "replacing libreadline5-dev build dependency with libreadline-dev"
    (closes: #553830).
  * Tighten dependency of pvm-dev on libpvm3 to (= ${binary:Version}),
    thanks lintian.

 -- gregor herrmann <gregoa@debian.org>  Sun, 29 Nov 2009 13:56:59 +0100

pvm (3.4.5-12) unstable; urgency=high

  * Depend on openssh-client | rsh-client instead of suggesting rsh-client.
    (Closes: #531413)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 06 Jun 2009 00:12:35 +0200

pvm (3.4.5-11) unstable; urgency=high

  * In debian/rules, pick out the version number from the changelog instead of
    from the current directory name; fixes FTBFS if the directory has been
    renamed for some reason. Baed on patch from Simon McVittie and Peter Green.

