=== debian/control ===
Source: pvm
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               gfortran,
               libreadline-dev,
               libx11-dev,
               libxaw7-dev,
               m4,
               libtirpc-dev,
               tar (>= 1.28)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/pvm
Vcs-Git: https://salsa.debian.org/debian/pvm.git
Homepage: https://www.csm.ornl.gov/pvm/
Rules-Requires-Root: no

Package: pvm
Architecture: any
Multi-Arch: foreign
Depends: rsh-client,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Parallel Virtual Machine - binaries
 Console and communication daemon binaries for the Parallel Virtual
 Machine.  Should be sufficient to utilize a node in a dynamically linked
 PVM program such as pvmpov.

Package: pvm-dev
Architecture: any
Depends: libpvm3 (= ${binary:Version}),
         libreadline-dev,
         pvm,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Parallel Virtual Machine - development files
 Headers, man pages, documentation, auxiliary functions, and static
 libraries for the Parallel Virtual Machine distributed memory
 communications library.

Package: libpvm3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: pvm
Description: Parallel Virtual Machine - shared libraries
 Just the bare library, required by binaries with optional PVM support such
 as pvmpov.  Install the pvm package if you wish to actually run a parallel
 job.

Package: pvm-examples
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Parallel Virtual Machine - examples
 This package provides the examples distributed along with the Parallel
 Virtual Machine. This can be useful for initial cluster or interoptability
 testing.
