=== debian/watch ===
version=3
https://www.netlib.org/pvm3/index.html pvm(\d[\-+\.:\~\da-zA-Z]*)(?i)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate
